Эта тема на forum.dklab.ru


bilov: Проблемы с php-библиотеками в денвере
Я пытаюсь поставить расширение для работы с sqlite на php поставленное через денвер. Вообще то как написано на их сайте sqlite уже должно поддерживаться без дополнительной установки как например mysql. Но оно не работает, в php.ini не прописано и библиотеки для него среди используемых нет. Я решил сам подключить эту библиотеку. Я её уже один раз успешно ставил когда у меня был просто php на апаче (без денвера) и тогда я для работы sqlite поставил 2 библиотеки php_pdo.dll и php_sqlite.dll. C денвером этот номер не проходит. Он сам комментирует строку extension=php_pdo.dll в php.ini а на строку extension=php_sqlite.dll ругается "Точка входа в процедуру php_set_error_handing не найдена в библиотеке DLL php5ts.dll". Скажите пожайлусто как мне преодолеть эти проблемы с подключением пхп-библиотек
bæv:
bilov, Вы какую версию Денвера ставите?
Пакет расширений пробовали установить?
bilov:
Мне ввобще нужна была любая версия работающая с джумлой. Я сначала поставил новую версию -Denwer3_Base_2010-01-29_a2.2.4_p5.3.1_m5.1.40_pma3.2.3.exe, чтобы работать с джумлой нужно проверить есть ли расширения mysql,xml,zlib. Расширений xml,zlib не оказалось, запустил джумлу всеравно и она стала глючить (по какой точно причине не знаю). Я хотел поставить эти расширения и так как с расширениями xml,zlib я и раньше не работал я хотел для начала поставить хоть какое- нибудь расширение, решил поставить библиотеку для sqlite (с которой работал и были работавшие скрипты). Хотел поставить сначала как обычно ставится в php. Ничего не получилось. Потом по Вашему совету поставил специальный пакет расширений и он встал нормально, поставились несколько новых библиотек. Но ни sqlite , ни xml,zlib (т. е php_xmlrpc.dll и php_zlib.dll) там не оказалось и пакета расширений с этими библиотеками я пока не нашел. Потом я переустановил сам денвер так как узнал что у этой версии действительно проблемы с джумлой, поставил старую версию денвера - Denwer3_Base_PHP52_2010-03-09_a2.2.4_p5.2.12_zendoptimizer_m5.1.40_pma3.2.3.exe и пакет расширений Denwer3_PHP52_2010-01-29_php5.2.12_zendoptimizer.exe.
Джумла наконец заработала нормально ( несмотря на отсутствие расширений xml,zlib), главная проблема решилась. Но хотелось все таки поставить и sqlite. На сайте денвера сказанно что sqlite должно быть в базовой установке ( как MySQL), но к сожалению этой библитеки нет там и функций sqlite соответственно тоже не видит (например sqlite_open("firstsqlite_db_10_01_2010") ). Скажите пожалусто как мне поставить sqlite, если нужно поставить специальный пакет расширений то где его взять ?

Эта тема на forum.dklab.ru